Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Download

  • 1 reply
  • 0 have this problem
  • 4 views
  • Last reply by James

more options

I have a question for y'all. I checked my Firefox about firefox and it says I have the most recent 78.2.Oesr (64-bit). So is it telling the truth that I have the most recent becasuse You Tube is saying I need to update my firefox?

I have a question for y'all. I checked my Firefox about firefox and it says I have the most recent 78.2.Oesr (64-bit). So is it telling the truth that I have the most recent becasuse You Tube is saying I need to update my firefox?

All Replies (1)

more options

Moved thread from Firefox for iOS (for iPhone/iPad) as you have Mac OS.

According to your Question Details > More system details you appear to have Mac OS X 10.11 (ten.eleven) Mozilla/5.0 (Macintosh; Intel Mac OS X 10.11; rv:78.0) Gecko/20100101 Firefox/78.0

Firefox since 79.0 and later including current has required macOS 10.12 (ten.twelve) at minimum to run. The most current you can run on Mac OS X 10.9, 10.10, 10.11 is Firefox 78.15.0 esr (78.fifteen.0) as the 78.2.0 esr (78.two.0) you posted is older.

https://archive.mozilla.org/pub/firefox/releases/78.15.0esr/mac/en-US/ other language locales are at https://archive.mozilla.org/pub/firefox/releases/78.15.0esr/mac/en-US/

https://support.mozilla.org/en-US/kb/firefox-mac-osx-users-esr

Modified by James